<!--
<div>
  LHS: <input type="number" [(ngModel)]="lhs"
              (change)="compute()"
              min="0" step="0.5"
              [class.error]="lhs < 1"/>
  RHS: <input type="number" [(ngModel)]="rhs"
              (change)="compute()"
              min="0" step="0.5"
              [class.error]="rhs < 1"/>
  <button type="button" (click)="compute()">Compute</button>
</div>
-->
<form class="form-inline">

  <div class="input-group">
    <span class="input-group-addon" *ngIf="!hideRight">Left</span>
    <span class="input-group-addon" *ngIf="hideRight">Arg</span>
    <input type="number" class="form-control"
           [formControl]="lhsField"
           name="lhs" [class.error]="lhs < 1" />
  </div>

  <div class="input-group ml-3" *ngIf="!hideRight">
    <span class="input-group-addon">Right</span>
    <input type="number" class="form-control"
           [formControl]="rhsField"
           name="rhs" [class.error]="rhs < 1"/>
  </div>

  <button type="button" (click)="compute()" class="btn btn-warning btn-sm ml-3">Compute</button>
</form>
